Subject: Re: [PATCH v2 0/4] Introduce and use absolute_pointer macro

From: Michael Cree <[email-masked]>
Date: Sat, 18 Sep 2021 21:51:34 +1200

On Thu, Sep 16, 2021 at 11:35:36AM -0700, Linus Torvalds wrote:
> On Wed, Sep 15, 2021 at 3:33 PM Guenter Roeck <[email-masked]> wrote:
> >
> > drivers/net/ethernet/3com/3c515.c: In function 'corkscrew_start_xmit':
> > drivers/net/ethernet/3com/3c515.c:1053:22: error:
> >         cast from pointer to integer of different size
> >
> > That is a typecast from a pointer to an int, which is then sent to an
> > i/o port. That driver should probably be disabled for 64-bit builds.
> 
> Naah. I think the Jensen actually had an ISA slot. Came with a
> whopping 8MB too, so the ISA DMA should work just fine.
> 
> Or maybe it was EISA only? I really don't remember.
> 
> It's possible that alpha should get rid of the ISA config option, and
> use ISA_BUS instead. That would be the proper config if there aren't
> actually any ISA _slots_, and it would disable the 3c515 driver.
> 
> But it turns out that the compile error is easy to fix. Just make it
> use isa_virt_to_bus(), which that driver does elsewhere anyway.
> 
> I have no way - or interest - to test that on real hardware, but I did
> check that if I relax the config I can at least build it cleanly on
> x86-64 with that change.
> 
> It can't make matters worse, and it's the RightThing(tm).
> 
> Since Micheal replied about that other alpha issue, maybe he knows
> about the ISA slot situation too?

Ah, yeah, not really.  I am not familiar with the Jensen hardware,
and have never played around with the EISA slot on the Alphas I do
have.

Cheers
Michael.